# Gimp.progress_install_vtable

    function progress_install_vtable(vtable: Gimp.ProgressVtable, user_data: void, user_data_destroy: GLib.DestroyNotify): String {
        // Gjs wrapper for gimp_progress_install_vtable()
    }

Since 2.4

vtable

  a pointer to a @GimpProgressVtable.

user_data

  a pointer that is passed as user_data to all vtable functions.

user_data_destroy

  destroy function for user_data, or null.

Returns

  the name of the temporary procedure that's been installed